GetWebhook
curl --request GET \
--url https://api.siftstack.com/api/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/webhooks/{webhookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/webhooks/{webhookId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}WebhookService
GetWebhook
Retrieve a webhook by ID.
GET
/
api
/
v1
/
webhooks
/
{webhookId}
GetWebhook
curl --request GET \
--url https://api.siftstack.com/api/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/webhooks/{webhookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/webhooks/{webhookId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
The response of a call to WebhookService_GetWebhook.
Show child attributes
Show child attributes
Was this page helpful?
⌘I